
D4Science Infrastructure - Task #1475

Please Move http://paste.research-infrastructures.eu/ to  http://paste.d4science.org/

Nov 20, 2015 07:24 PM - Luca Frosini

Status: Closed Start date: Nov 20, 2015

Priority: Normal Due date: Nov 30, 2015

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: Redmine management   

Infrastructure: Production   

Description

Move the following installation from http://paste.research-infrastructures.eu/ to http://paste.d4science.org/ that is easier to write and

remember.

Moreover I also suggest to discourage search engine to index it, to avoid external use, because we are now the 4th result on google

https://www.google.it/search?q=yet+another+nopaste

Related issues:

Related to D4Science Infrastructure - Task #928: Formatting code in tickets' ... Closed Oct 08, 2015 Nov 30, 2015

History

#1 - Nov 20, 2015 07:24 PM - Luca Frosini

- Related to Task #928: Formatting code in tickets' description added

#2 - Nov 23, 2015 11:37 AM - Andrea Dell'Amico

Luca Frosini wrote:

Move the following installation from http://paste.research-infrastructures.eu/ to http://paste.d4science.org/ that is easier to write and remember.

 I'm going to create an alias for now.

Moreover I also suggest to discourage search engine to index it, to avoid external use, because we are now the 4th result on google

https://www.google.it/search?q=yet+another+nopaste

 A robot.txt will eliminate it from the search results but that doesn't avoid the fact that it can be used by anybody. If we want internal users only we

need to put it under authentication.

#3 - Nov 23, 2015 11:43 AM - Luca Frosini

Andrea Dell'Amico wrote:

Luca Frosini wrote:

Move the following installation from http://paste.research-infrastructures.eu/ to http://paste.d4science.org/ that is easier to write and

remember.

 I'm going to create an alias for now.

 +1

Moreover I also suggest to discourage search engine to index it, to avoid external use, because we are now the 4th result on google

https://www.google.it/search?q=yet+another+nopaste

 A robot.txt will eliminate it from the search results but that doesn't avoid the fact that it can be used by anybody. If we want internal users only we

need to put it under authentication.

 I know it, but at least they don't find it from search engine.

#4 - Nov 23, 2015 12:38 PM - Andrea Dell'Amico
- Status changed from New to In Progress

- % Done changed from 0 to 80

I've added the DNS name and changed the apache virtualhost configuration.

#5 - Nov 23, 2015 12:39 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 80 to 100

Added a robots.txt to exclude all the search engines spiders.

#6 - Nov 23, 2015 03:46 PM - Luca Frosini

Seem working, also the robots.txt seems corrclty configured. I'm going to announce the the url using VREs

#7 - Nov 23, 2015 03:46 PM - Luca Frosini

- Status changed from Feedback to Closed
